<?
	include_once "IPSInstaller.ips.php";

	$ProgramPath  = 'Program.Weather';
	$iPhonePath   = 'iPhone.Wetter';

	// ----------------------------------------------------------------------------------------------------------------------------
	// Program Installation
	// ----------------------------------------------------------------------------------------------------------------------------
	$CategoryIdWeather = CreateCategoryPath($ProgramPath);
	$CategoryIdScripts = CreateCategory('Scripts', $CategoryIdWeather, 10);
	$CategoryIdForecast = CreateCategory('Forecast', $CategoryIdWeather, 20);
	$CategoryIdForecastToday = CreateCategory('Today',     $CategoryIdForecast, 10);
	$CategoryIdForecast1     = CreateCategory('Forecast 1', $CategoryIdForecast, 20);
	$CategoryIdForecast2     = CreateCategory('Forecast 2', $CategoryIdForecast, 30);
	$CategoryIdForecast3     = CreateCategory('Forecast 3', $CategoryIdForecast, 40);
	IPS_SetHidden($CategoryIdScripts, true);

	// Scripts
	IPS_SetParent($IPS_SELF, $CategoryIdScripts);
   $ScriptIdConstants       = CreateScript('IPSWeather_Constants',       'IPSWeather_Constants.ips.php',       $CategoryIdScripts, 10);
   $ScriptIdConfiguration   = CreateScript('IPSWeather_Configuration',   'IPSWeather_Configuration.ips.php',   $CategoryIdScripts, 20);
   $ScriptIdRefresh         = CreateScript('IPSWeather_Refresh',         'IPSWeather_Refresh.ips.php',         $CategoryIdScripts, 30);

	// Timer
	CreateTimer_CyclicByMinutes ('Refresh', $ScriptIdRefresh, 30);

	// Create Variables
	$TodayDayOfWeek          = CreateVariable("DayOfWeek",            3 /*String*/,  $CategoryIdForecastToday,  10,  '~String',  null, '');
	$TodayTempCurrent        = CreateVariable("Temperature Current",  1 /*Integer*/, $CategoryIdForecastToday,  20,  null,       null, 0);
	$TodayTempMin            = CreateVariable("Temperature_Min",      1 /*Integer*/, $CategoryIdForecastToday,  30,  null,       null, 0);
	$TodayTempMax            = CreateVariable("Temperature_Max",      1 /*Integer*/, $CategoryIdForecastToday,  40,  null,       null, 0);
	$TodaySeaLevel           = CreateVariable("SeaLevel",             1 /*Integer*/, $CategoryIdForecastToday,  50,  null,       null, 0);
	$TodayAirHumidity        = CreateVariable("Air Humidity",         3 /*String*/,  $CategoryIdForecastToday,  60,  '~String',  null, '');
	$TodayWind               = CreateVariable("Wind",                 3 /*String*/,  $CategoryIdForecastToday,  70,  '~String',  null, '');
	$TodayIcon               = CreateVariable("Icon",                 3 /*String*/,  $CategoryIdForecastToday,  80,  '~String',  null, '');
	$TodayTextShort          = CreateVariable("TextLong",             3 /*String*/,  $CategoryIdForecastToday,  90,  '~String',  null, '');
	$TodayTextLong           = CreateVariable("TextShort",            3 /*String*/,  $CategoryIdForecastToday,  100, '~String',  null, '');
	$LastRefreshDateTime     = CreateVariable("LastRefresh DateTime", 3 /*String*/,  $CategoryIdForecastToday,  110, '~String',  null, '');
	$LastRefreshTime         = CreateVariable("LastRefresh Time",     3 /*String*/,  $CategoryIdForecastToday,  120, '~String',  null, '');

	$Forecast1DayOfWeek       = CreateVariable("DayOfWeek",            3 /*String*/,  $CategoryIdForecast1    ,  10,  '~String',  null, '');
	$Forecast1TempMin         = CreateVariable("Temperature_Min",      1 /*Integer*/, $CategoryIdForecast1    ,  20,  null,       null, 0);
	$Forecast1TempMax         = CreateVariable("Temperature_Max",      1 /*Integer*/, $CategoryIdForecast1    ,  30,  null,       null, 0);
	$Forecast1TextShort       = CreateVariable("TextLong",             3 /*String*/,  $CategoryIdForecast1    ,  40,  '~String',  null, '');
	$Forecast1TextLong        = CreateVariable("TextShort",            3 /*String*/,  $CategoryIdForecast1    ,  50,  '~String',  null, '');
	$Forecast1Icon            = CreateVariable("Icon",                 3 /*String*/,  $CategoryIdForecast1    ,  60,  '~String',  null, '');

	$Forecast2DayOfWeek       = CreateVariable("DayOfWeek",            3 /*String*/,  $CategoryIdForecast2    ,  10,  '~String',  null, '');
	$Forecast2TempMin         = CreateVariable("Temperature_Min",      1 /*Integer*/, $CategoryIdForecast2    ,  20,  null,       null, 0);
	$Forecast2TempMax         = CreateVariable("Temperature_Max",      1 /*Integer*/, $CategoryIdForecast2    ,  30,  null,       null, 0);
	$Forecast2TextShort       = CreateVariable("TextLong",             3 /*String*/,  $CategoryIdForecast2    ,  40,  '~String',  null, '');
	$Forecast2TextLong        = CreateVariable("TextShort",            3 /*String*/,  $CategoryIdForecast2    ,  50,  '~String',  null, '');
	$Forecast2Icon            = CreateVariable("Icon",                 3 /*String*/,  $CategoryIdForecast2    ,  60,  '~String',  null, '');

	$Forecast3DayOfWeek       = CreateVariable("DayOfWeek",            3 /*String*/,  $CategoryIdForecast3    ,  10,  '~String',  null, '');
	$Forecast3TempMin         = CreateVariable("Temperature_Min",      1 /*Integer*/, $CategoryIdForecast3    ,  20,  null,       null, 0);
	$Forecast3TempMax         = CreateVariable("Temperature_Max",      1 /*Integer*/, $CategoryIdForecast3    ,  30,  null,       null, 0);
	$Forecast3TextShort       = CreateVariable("TextLong",             3 /*String*/,  $CategoryIdForecast3    ,  40,  '~String',  null, '');
	$Forecast3TextLong        = CreateVariable("TextShort",            3 /*String*/,  $CategoryIdForecast3    ,  50,  '~String',  null, '');
	$Forecast3Icon            = CreateVariable("Icon",                 3 /*String*/,  $CategoryIdForecast3    ,  60,  '~String',  null, '');

	$iForecast                = CreateVariable("iForecast",             3 /*String*/,  $CategoryIdWeather     ,  100, '~HTMLBox', null, '<iframe frameborder="0" width="100%" height="4000px" src="../user/Weather/Weather.php"</iframe>');

	// Register Constants
	SetVariableConstant ('c_ID_TodayDay',               $TodayDayOfWeek,       'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_LastRefreshDateTime',    $LastRefreshDateTime,  'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_LastRefreshTime',        $LastRefreshTime,      'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_TodayForecastLong',      $TodayTextLong,        'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_TodayForecastShort',     $TodayTextShort,       'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_TodayIcon',              $TodayIcon,            'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_Wind',                   $TodayWind,            'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_SeaLevel',               $TodaySeaLevel,        'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_AirHumidity',            $TodayAirHumidity,     'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_TodayTempCurrent',       $TodayTempCurrent,     'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_TodayTempMax',           $TodayTempMax,         'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_TodayTempMin',           $TodayTempMin,         'IPSWeather_Constants.ips.php');

	SetVariableConstant ('c_ID_TomorrowDay',            $Forecast1DayOfWeek,    'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_TomorrowTempMax',        $Forecast1TempMax,      'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_TomorrowTempMin',        $Forecast1TempMin,      'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_TomorrowForecastLong',   $Forecast1TextLong,     'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_TomorrowForecastShort',  $Forecast1TextShort,    'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_TomorrowIcon',           $Forecast1Icon,         'IPSWeather_Constants.ips.php');

	SetVariableConstant ('c_ID_Tomorrow1Day',           $Forecast2DayOfWeek,    'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_Tomorrow1TempMax',       $Forecast2TempMax,      'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_Tomorrow1TempMin',       $Forecast2TempMin,      'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_Tomorrow1ForecastLong',  $Forecast2TextLong,     'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_Tomorrow1ForecastShort', $Forecast2TextShort,    'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_Tomorrow1Icon',          $Forecast2Icon,         'IPSWeather_Constants.ips.php');

	SetVariableConstant ('c_ID_Tomorrow2Day',           $Forecast3DayOfWeek,    'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_Tomorrow2TempMax',       $Forecast3TempMax,      'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_Tomorrow2TempMin',       $Forecast3TempMin,      'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_Tomorrow2ForecastLong',  $Forecast3TextLong,     'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_Tomorrow2ForecastShort', $Forecast3TextShort,    'IPSWeather_Constants.ips.php');
	SetVariableConstant ('c_ID_Tomorrow2Icon',          $Forecast3Icon,         'IPSWeather_Constants.ips.php');

	// Execute Data Refresh
	include_once "IPSWeather_Refresh.ips.php";

	// ----------------------------------------------------------------------------------------------------------------------------
	// iPhone Installation
	// ----------------------------------------------------------------------------------------------------------------------------
	if ($iPhonePath <> "") {
		$iPhoneId  = CreateCategoryPath($iPhonePath, 10, 'Cloud');
		CreateLink('Vorhersage',    $iForecast, $iPhoneId, 10);
	}
?>