<?
	include_once "IPSWeather_Configuration.ips.php";
	include_once "IPSWeather_Constants.ips.php";
	include_once "IPSLogger.ips.php";
	define ("c_LogId", "WeatherRefresh");

	if (Sys_Ping(c_Value_IPExternal, 100)) {
		IPSLogger_Dbg(c_LogId, "Refresh Weather Data");
   	$api = simplexml_load_string(utf8_encode(@Sys_GetURLContent($urlGoogle)));
		echo $urlGoogle;

		SetValue (c_ID_LastRefreshDateTime, date("Y-m-j H:i:s"));
		SetValue (c_ID_LastRefreshTime, date("H:i"));

		// Aktuelles Wetter
		SetValue(c_ID_TodayForecastShort, (string)$api->weather->current_conditions->condition->attributes()->data);
		SetValue(c_ID_TodayTempCurrent,   (string)$api->weather->current_conditions->temp_c->attributes()->data);
		SetValue(c_ID_AirHumidity,        str_replace("Feuchtigkeit", "rel.Luftfeuchte", $api->weather->current_conditions->humidity->attributes()->data));
		SetValue(c_ID_Wind,               (string)$api->weather->current_conditions->wind_condition->attributes()->data);
		SetValue(c_ID_TodayIcon,          str_replace(".gif", ".png", str_replace($iconsGoogle, $pathIconsLarge, $api->weather->current_conditions->icon->attributes()->data)));

		// Wettervorhersage heute, morgen, in zwei und in drei Tagen ($wetter[1] bis $wetter[4])
		$i = 1;
		foreach($api->weather->forecast_conditions as $weather)
		{
			if ($i==1) {
				SetValue(c_ID_TodayDay,           str_replace($DaySourceArray, $DayDisplayArray, $weather->day_of_week->attributes()->data));
				SetValue(c_ID_TodayForecastShort, (string)$weather->condition->attributes()->data);
				SetValue(c_ID_TodayTempMin,       (string)$weather->low->attributes()->data);
				SetValue(c_ID_TodayTempMax,       (string)$weather->high->attributes()->data);
				if (GetValue(c_ID_TodayIcon)) {
					SetValue(c_ID_TodayIcon,     str_replace(".gif", ".png", str_replace($iconsGoogle, $pathIconsLarge, $weather->icon->attributes()->data)));
				}
			} else if ($i==2) {
				SetValue(c_ID_TomorrowDay,            str_replace($DaySourceArray, $DayDisplayArray, $weather->day_of_week->attributes()->data));
				SetValue(c_ID_TomorrowForecastShort,  (string)$weather->condition->attributes()->data);
				SetValue(c_ID_TomorrowTempMin,        (string)$weather->low->attributes()->data);
				SetValue(c_ID_TomorrowTempMax,        (string)$weather->high->attributes()->data);
				SetValue(c_ID_TomorrowIcon,           str_replace(".gif", ".png", str_replace($iconsGoogle, $pathIconsSmall, $weather->icon->attributes()->data)));
			} else if ($i==3) {
				SetValue(c_ID_Tomorrow1Day,           str_replace($DaySourceArray, $DayDisplayArray, $weather->day_of_week->attributes()->data));
				SetValue(c_ID_Tomorrow1ForecastShort, (string)$weather->condition->attributes()->data);
				SetValue(c_ID_Tomorrow1TempMin,       (string)$weather->low->attributes()->data);
				SetValue(c_ID_Tomorrow1TempMax,       (string)$weather->high->attributes()->data);
				SetValue(c_ID_Tomorrow1Icon,          str_replace(".gif", ".png", str_replace($iconsGoogle, $pathIconsSmall, $weather->icon->attributes()->data)));
			} else if ($i==4) {
				SetValue(c_ID_Tomorrow2Day,           str_replace($DaySourceArray, $DayDisplayArray, $weather->day_of_week->attributes()->data));
				SetValue(c_ID_Tomorrow2ForecastShort, (string)$weather->condition->attributes()->data);
				SetValue(c_ID_Tomorrow2TempMin,       (string)$weather->low->attributes()->data);
				SetValue(c_ID_Tomorrow2TempMax,       (string)$weather->high->attributes()->data);
				SetValue(c_ID_Tomorrow2Icon,          str_replace(".gif", ".png", str_replace($iconsGoogle, $pathIconsSmall, $weather->icon->attributes()->data)));
			} else  {
				IPSLogger_Err(c_LogId, "Receive unknown Weather Forecast Condition");
			}
			$i++;
		}

		// Wetter fr Niedersterreich von ORF auslesen
		$lHTML=file_get_contents($orfUrl);
		$orfData=explode($orfSearchStart, $lHTML);

		$aSearch   = array($orfSearchDelimiter, $orfSearchEnd, "<table border=0 cellspacing=0 cellpadding=0>\n<tr>\n<td width=315 valign=top nowrap><font face=\"Verdana, Arial, Helvetica, sans-serif\" size=3 color=003366></font>\n<font face=\"Verdana, Arial, Helvetica, sans-serif\" size=-1 color=000033>");
		$aReplace  = array("</h2>", "", "");

		SetValue (c_ID_TodayForecastLong, "<h2>".str_replace($aSearch,$aReplace,$orfData[1]));
		SetValue (c_ID_TomorrowForecastLong, "<h2>".str_replace($aSearch,$aReplace,$orfData[2]));
		SetValue (c_ID_Tomorrow1ForecastLong, "<h2>".str_replace($aSearch,$aReplace,$orfData[3]));
		SetValue (c_ID_Tomorrow2ForecastLong, "<h2>".str_replace($aSearch,$aReplace,$orfData[4]));
	} else {
		IPSLogger_Trc(c_LogId, "No Connection - Refresh of Weather Data NOT possible");

	}
?>